import request from '@/utils/request'

// 查询员工发送延时时间关联列表
export function listSendDelayTime(query) {
  return request({
    url: '/company/sendDelayTime/list',
    method: 'get',
    params: query
  })
}

// 查询员工发送延时时间关联详细
export function getSendDelayTime(id) {
  return request({
    url: '/company/sendDelayTime/' + id,
    method: 'get'
  })
}

// 新增员工发送延时时间关联
export function addSendDelayTime(data) {
  return request({
    url: '/company/sendDelayTime',
    method: 'post',
    data: data
  })
}
export function batchAddSendDelayTime(data) {
  return request({
    url: '/company/sendDelayTime/batchAdd',
    method: 'post',
    data: data
  })
}
// 修改员工发送延时时间关联
export function updateSendDelayTime(data) {
  return request({
    url: '/company/sendDelayTime',
    method: 'put',
    data: data
  })
}

// 删除员工发送延时时间关联
export function delSendDelayTime(id) {
  return request({
    url: '/company/sendDelayTime/' + id,
    method: 'delete'
  })
}

// 导出员工发送延时时间关联
export function exportSendDelayTime(query) {
  return request({
    url: '/company/sendDelayTime/export',
    method: 'get',
    params: query
  })
}
